Open a VM VNC WebSocket
GET
/vnc/{port}
const url = 'https://sylve.lan:8181/api/vnc/1?auth=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/vnc/1?auth=example'Validate the requested VM-owned VNC port and upgrade to the existing authenticated WebSocket relay. This documents the HTTP handshake, not WebSocket frames.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”port
required
integer
VM-owned VNC port
Query Parameters
Section titled “Query Parameters”auth
required
string
Opaque hex-encoded WebSocket authentication payload
overtake
boolean
Take over an existing VNC session
Responses
Section titled “Responses”Switching Protocols
string
Bad Request
object
data
error
string
message
string
status
string
Unauthorized
object
data
error
string
message
string
status
string
Forbidden
object
data
error
string
message
string
status
string
VNC Port Not Found
object
data
error
string
message
string
status
string
Internal Server Error
object
data
error
string
message
string
status
string
Bad Gateway
object
data
error
string
message
string
status
string
Service Unavailable
object
data
error
string
message
string
status
string